Last modified: 2014-02-20 10:27:39 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 56573 - Code quality: Use oo.js and related utilities to make the code a lot simpler
Code quality: Use oo.js and related utilities to make the code a lot simpler
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
MultimediaViewer (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 56571 56572
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-11-04 17:52 UTC by Mark Holmquist
Modified: 2014-02-20 10:27 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mark Holmquist 2013-11-04 17:52:22 UTC
OO.js is an awesome system that we should really be using - also would simplify the interactions between the extension JS and the multilightbox code.
Comment 1 Mark Holmquist 2013-11-04 17:53:11 UTC
OOjs, sorry. I used two totally wrong spellings there. :(
Comment 2 Mark Holmquist 2013-11-20 01:16:01 UTC
Started work on this, but it's not really very helpful yet.

https://gerrit.wikimedia.org/r/95295

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links